- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# dmadat Struct Reference

`#include <file.h>`

## Data Fields
char | blkbuf [(1<< 12)]
char | indbuf [(1<< 12)]
char | sbbuf [8192]
char | secbuf [(1<< 9)]

## Detailed Description

Definition at line 39 of file file.h.

## Field Documentation

char dmadat::blkbuf[(1<< 12)]

Definition at line 40 of file file.h.

Referenced by fsread().

char dmadat::indbuf[(1<< 12)]

Definition at line 41 of file file.h.

Referenced by fsread().

char dmadat::sbbuf[8192]

Definition at line 42 of file file.h.

Referenced by ffs_read(), and fsread().

char dmadat::secbuf[(1<< 9)]

Definition at line 43 of file file.h.

The documentation for this struct was generated from the following file:

- src/sys/include/vfs/file.h